extends Control

@onready var _global_scn = get_node("/root/Global")

# Called when the node enters the scene tree for the first time.
func _ready():
	if _global_scn.user_name:
		Dialogic.VAR.user = _global_scn.user_name

	Dialogic.signal_event.connect(_on_dialogic_signal)
	Dialogic.start("res://timelines/new_player_wizard.dtl")


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	pass

func _on_dialogic_signal(argument:String):
	if argument == "create_dojo":
		print("Create Dojo %s" % Dialogic.VAR.newdojo)
		Dialogic.paused = true
		_global_scn.create_dojo(Dialogic.VAR.newdojo)
